NOWE POSTY | NOWE TEMATY | POPULARNE | STAT | RSS | KONTAKT | REJESTRACJA | Login: Hasło: rss dla

HOME » EMISJE CYFROWE » PROSZĘ KOLEGÓW O POMOC W UAKTUALNIENIU TQSL DO NAJNOWSZEJ WERSJI TQSL-2.3.1 UBUNTU

Przejdz do dołu strony<<<Strona: 2 / 3>>>    strony: 1[2]3

proszę kolegów o pomoc w uaktualnieniu TQSL do najnowszej wersji tqsl-2.3.1 Ubuntu

  
SP9TL
15.11.2018 20:50:22
poziom 4



Grupa: Użytkownik

QTH: JO90LF / Katowice

Posty: 385 #2607204
Od: 2014-2-22
No niestety...

-- Could NOT find LMDB (missing: LMDB_INCLUDE_DIR LMDB_LIBRARIES)
CMake Error at /usr/share/cmake-3.5/Modules/FindPackageHandleStandardArgs.cmake:148 (message):
Could NOT find BDB (missing: BDB_LIBRARY BDB_INCLUDE_DIR)
Call Stack (most recent call first):
/usr/share/cmake-3.5/Modules/FindPackageHandleStandardArgs.cmake:388 (_FPHSA_FAILURE_MESSAGE)
cmakemodules/FindBDB.cmake:60 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
CMakeLists.txt:61 (find_package)

Dziwne, bo Linux z resztą zawsze słynął z kompilowania paczek czy czegoś tam. Ja taki Linuxowy amator, zrobię wg instrukcji ale tyle wesoły
To aż dziwne, że się nie da tego zrobić. Nie wiem, poszperam trochę w necie.
_________________
Yaesu FT-7900, Yaesu VX-6, AnyTone AT-D868UV GPS, Hoxin MA-2000, HB9CV, LPDA
DMR ID: 2609142
http://www.qrz.com/db/SP9TL
https://www.fb.com/SP9TL
https://www.instagram.com/SP9TL
https://www.youtube.com/channel/UCRz3XqHz6G3VDR6i2yvbuMg

Obrazek
  
Electra15.12.2018 16:31:17
poziom 5

oczka
  
azg
15.11.2018 21:32:32
Grupa: Użytkownik

Posty: 23 #2607219
Od: 2018-3-24
Brakujące biblioteki.

1) sudo apt install lmdb-dev
2) sudo apt install libdb-dev
3) sudo apt install libdb++-dev

Jak będzie sypało błędami to jeszcze doinstalować: OpenSSL,expat,zlib,wxWidgets,curl
  
SP9TL
15.11.2018 23:08:41
poziom 4



Grupa: Użytkownik

QTH: JO90LF / Katowice

Posty: 385 #2607235
Od: 2014-2-22
Dzięki za pomoc, ale lipa ...

E: Unable to locate package

generalnie większość z tych paczek nie może znaleźć. W sumie tylko OpenSSL i expat mi zainstalował.
_________________
Yaesu FT-7900, Yaesu VX-6, AnyTone AT-D868UV GPS, Hoxin MA-2000, HB9CV, LPDA
DMR ID: 2609142
http://www.qrz.com/db/SP9TL
https://www.fb.com/SP9TL
https://www.instagram.com/SP9TL
https://www.youtube.com/channel/UCRz3XqHz6G3VDR6i2yvbuMg

Obrazek
  
SQ5KLN
16.11.2018 08:21:58
poziom 6



Grupa: Użytkownik

Posty: 1187 #2607298
Od: 2012-7-10


Ilość edycji wpisu: 4
    SP9TL pisze:

    No niestety...

    -- Could NOT find LMDB (missing: LMDB_INCLUDE_DIR LMDB_LIBRARIES)
    CMake Error at /usr/share/cmake-3.5/Modules/FindPackageHandleStandardArgs.cmake:148 (message):
    Could NOT find BDB (missing: BDB_LIBRARY BDB_INCLUDE_DIR)
    Call Stack (most recent call first):
    /usr/share/cmake-3.5/Modules/FindPackageHandleStandardArgs.cmake:388 (_FPHSA_FAILURE_MESSAGE)
    cmakemodules/FindBDB.cmake:60 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
    CMakeLists.txt:61 (find_package)

    Dziwne, bo Linux z resztą zawsze słynął z kompilowania paczek czy czegoś tam. Ja taki Linuxowy amator, zrobię wg instrukcji ale tyle wesoły
    To aż dziwne, że się nie da tego zrobić. Nie wiem, poszperam trochę w necie.


Jak nie masz żadnych narzędzi do kompilowania, to się nie dziw, że Linux nie kompiluje bardzo szczęśliwy
Zainstalowałem na wirtualce Linux Mint 18.0 64-bit, pobrałem aktualizacje (sudo apt update; sudo apt upgrade) a następnie:
1) Zainstalowałem podstawowe narzędzia do kompilacji:
sudo apt install build-essential
2) Zainstalowałem wszystkie wymagane biblioteki i narzędzia dodatkowe wymienione w pliku INSTALL tqsl-a (biblioteki w wersji *-dev czyli do kompilowania ze źródeł a nie do uruchamiania gotowych binarek):
sudo apt install libssl-dev libexpat1-dev expat zlib1g-dev libdb-dev libwxgtk3.0-dev curl cmake
edit: I jeszcze
sudo apt install libcurl4-openssl-dev
3) Pobrałem źródła:
wget -t 0 -c http://www.arrl.org/files/file/LoTW%20Instructions/tqsl-2.4.1.tar.gz
4) Rozpakowałem i wszedłem do folderu:
tar xzvf tqsl-2.4.1.tar.gz
cd tqsl-2.4.1
5) Zrobiłem to co poleca plik INSTALL (ostatnie z 'sudo' bo wymagane są uprawnienia administratora) czyli:
cmake .
make
sudo make install

Wszystko przebiegło bez jakichkolwiek problemów, tqsl działa. Zainstalował się w /usr/local/bin/tqsl, u Ciebie jeszcze będzie dodatkowo ten z repo /usr/bin/tqsl, czyli aby mieć pewność, że uruchamiasz tego nowego z własnej kompilacji, to trzeba albo podawać pełną ścieżkę /usr/local/bin/tqsl albo wywalić starego (sudo apt purge trustedqsl) i ewentualnie odświeżyć cache w bashu żeby "zapomniał" skąd ostatnio uruchamiał tqsl-a (hash -r).
Oczywiście przed migracją dla pewności warto zrobić backup ustawień i certyfikatów (File->BackupStationsLocations...), migracja certyfikatów użytkownika powinna się zrobić sama, ale mimo wszystko warto się zabezpieczyć bardzo szczęśliwy

edit: Poprawka ze względu na silnik forum, który "rozwalił" znaki specjalne bardzo szczęśliwy
_________________
Piotr
  
SP9TL
16.11.2018 22:18:11
poziom 4



Grupa: Użytkownik

QTH: JO90LF / Katowice

Posty: 385 #2607613
Od: 2014-2-22
Robiłem wg podanych przez Ciebie instrukcji, ale to nie pomaga.
Może coś mam nie teges z moją dystrybucją. Już dawno ją instalowałem.

Ale uruchomiłem Minta 19 na wirtualce (nowa instalka) i też ani rusz. Nie chce to działać. Czegoś brakuje, coś nie działa.

Ehh.
_________________
Yaesu FT-7900, Yaesu VX-6, AnyTone AT-D868UV GPS, Hoxin MA-2000, HB9CV, LPDA
DMR ID: 2609142
http://www.qrz.com/db/SP9TL
https://www.fb.com/SP9TL
https://www.instagram.com/SP9TL
https://www.youtube.com/channel/UCRz3XqHz6G3VDR6i2yvbuMg

Obrazek
  
SQ5KLN
16.11.2018 22:47:21
poziom 6



Grupa: Użytkownik

Posty: 1187 #2607622
Od: 2012-7-10
    SP9TL pisze:

    Nie chce to działać. Czegoś brakuje, coś nie działa.


Więc coś zrób aby coś zadziałało - rada tak konkretna jak informacje o błędach bardzo szczęśliwy Sorry, nie mogłem się powstrzymać, ale "coś nie działa" to żadna informacja, nikt z fusów nie będzie wróżył co akurat u Ciebie poszło nie tak, zwłaszcza że tqsl nie ma jakichś "typowych" błędów w kompilacji, na większości współczesnych Linuxów kompiluje się bez problemu (oczywiście przy założeniu, że w systemie są wymagane kompilatory i biblioteki).
_________________
Piotr
  
SP9TL
16.11.2018 22:53:58
poziom 4



Grupa: Użytkownik

QTH: JO90LF / Katowice

Posty: 385 #2607624
Od: 2014-2-22
Nie no masz rację.
Po prostu się już wkurzyłem na to.

Błąd jak wtedy w sumie. Za wiele mi nic to nie mówi. Spróbuję innych distro. Pobrałem już najnowsze Ubuntu, zobaczę jak na LIVE działa.


-- Could NOT find LMDB (missing: LMDB_INCLUDE_DIR LMDB_LIBRARIES)
CMake Error at /usr/share/cmake-3.5/Modules/FindPackageHandleStandardArgs.cmake:148 (message):
Could NOT find CURL (missing: CURL_LIBRARY CURL_INCLUDE_DIR)
Call Stack (most recent call first):
/usr/share/cmake-3.5/Modules/FindPackageHandleStandardArgs.cmake:388 (_FPHSA_FAILURE_MESSAGE)
cmakemodules/FindCURL.cmake:49 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
apps/CMakeLists.txt:13 (find_package)

_________________
Yaesu FT-7900, Yaesu VX-6, AnyTone AT-D868UV GPS, Hoxin MA-2000, HB9CV, LPDA
DMR ID: 2609142
http://www.qrz.com/db/SP9TL
https://www.fb.com/SP9TL
https://www.instagram.com/SP9TL
https://www.youtube.com/channel/UCRz3XqHz6G3VDR6i2yvbuMg

Obrazek
  
SQ5KLN
17.11.2018 16:03:39
poziom 6



Grupa: Użytkownik

Posty: 1187 #2607793
Od: 2012-7-10
Sprawdź czy pomoże doinstalowanie libcurl4-openssl czyli:
sudo apt install libcurl4-openssl-dev
_________________
Piotr
  
canis_lupus
17.11.2018 16:21:58
poziom najwyższy i najjaśniejszy :-)

Grupa: Użytkownik

QTH: Kraków

Posty: 4369 #2607795
Od: 2013-7-18
    SQ5KLN pisze:

    Sprawdź czy pomoże doinstalowanie libcurl4-openssl czyli:
    sudo apt install libcurl4-openssl-dev


W sumie nie używam debianowych dystrybucji wiele, ale wydaje mi się, że curl powinien wciagnąć te libki. A i sam curl może byc potrzebny.

_________________

To mówiłem ja, "unlis i ukrywający coś, wstydzący się swojego znaku, człowiek z ulicy, losowa osoba z internetu, anonimowy pirat, do d**y" z Hackerspace Kraków

  
SQ5KLN
17.11.2018 16:34:49
poziom 6



Grupa: Użytkownik

Posty: 1187 #2607797
Od: 2012-7-10
    canis_lupus pisze:

      SQ5KLN pisze:

      Sprawdź czy pomoże doinstalowanie libcurl4-openssl czyli:
      sudo apt install libcurl4-openssl-dev


    W sumie nie używam debianowych dystrybucji wiele, ale wydaje mi się, że curl powinien wciagnąć te libki. A i sam curl może byc potrzebny.


Ale chyba nie zaciągnął wersji *-dev (z nagłówkami dla kompilatora C/C++, bo binarki oczywiście są). Na wszelki wypadek uzupełniłem "przepis" z kilku postów wyżej właśnie o tę bibliotekę.
Jeśli chodzi o dystrybucje jak to określiłeś "debianowe", to mam styczność głównie z "czystym" Debianem (a nie Ubuntu, Mint-a itp.), więc różnych niuansów występujących w "odgałęzieniach" nie znam.
_________________
Piotr
  
SP9TL
17.11.2018 19:42:07
poziom 4



Grupa: Użytkownik

QTH: JO90LF / Katowice

Posty: 385 #2607859
Od: 2014-2-22


Ilość edycji wpisu: 3
[quote=SQ5KLN]
    canis_lupus pisze:

      SQ5KLN pisze:

      Sprawdź czy pomoże doinstalowanie libcurl4-openssl czyli:
      sudo apt install libcurl4-openssl-dev


    W sumie nie używam debianowych dystrybucji wiele, ale wydaje mi się, że curl powinien wciagnąć te libki. A i sam curl może byc potrzebny.


Ale chyba nie zaciągnął wersji *-dev (z nagłówkami dla kompilatora C/C++, bo binarki oczywiście są). Na wszelki wypadek uzupełniłem "przepis" z kilku postów wyżej właśnie o tę bibliotekę.
Jeśli chodzi o dystrybucje jak to określiłeś "debianowe", to mam styczność głównie z "czystym" Debianem (a nie Ubuntu, Mint-a itp.), więc różnych niuansów występujących w "odgałęzieniach" nie znam.[/quote]


Sprawdź czy pomoże doinstalowanie libcurl4-openssl czyli:
sudo apt install libcurl4-openssl-dev

===========================================



po tym powyższym coś ruszyło.

ale przy samym "cmake ." dalej jest błąd jak poniżej:


-- Could NOT find LMDB (missing: LMDB_INCLUDE_DIR LMDB_LIBRARIES)
-- Configuring done
-- Generating done
-- Build files have been written to: /home/tomek/Downloads/tqsl-2.4.1


po "make" mam:

[ 29%] Built target tqsllib
[100%] Built target tqsl


a po "sudo make install" coś tam poinstalowało, ale generalnie aplikacji nie ma ...
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package lmdb-dev



Generalnie to po "sudo apt install lmdb-dev" jest dalej taki błąd:
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package lmdb-dev



PS. zazdroszczę wam Panowie tej wiedzy wesoły
_________________
Yaesu FT-7900, Yaesu VX-6, AnyTone AT-D868UV GPS, Hoxin MA-2000, HB9CV, LPDA
DMR ID: 2609142
http://www.qrz.com/db/SP9TL
https://www.fb.com/SP9TL
https://www.instagram.com/SP9TL
https://www.youtube.com/channel/UCRz3XqHz6G3VDR6i2yvbuMg

Obrazek
  
Electra15.12.2018 16:31:17
poziom 5

oczka
  
SQ5KLN
17.11.2018 19:55:57
poziom 6



Grupa: Użytkownik

Posty: 1187 #2607862
Od: 2012-7-10
    SP9TL pisze:


    a po "sudo make install" coś tam poinstalowało, ale generalnie aplikacji nie ma ...


Po czym wnosisz, że aplikacji nie ma? Nie masz pliku /usr/local/bin/tqsl? Nie działa polecenie tqsl?
_________________
Piotr
  
SP9TL
17.11.2018 20:03:28
poziom 4



Grupa: Użytkownik

QTH: JO90LF / Katowice

Posty: 385 #2607864
Od: 2014-2-22
Ooo, tam jest wesoły

Szukałem w aplikacjach, czyli standardowo jak powinno być?
Uruchamiam go przez kliknięcie, ale pojawia się okno dialogowe z błędem "Can't find the tqslappp catalog for locale 'en_GB' "

No OK, aplikacja się uruchomiła pomimo tego okna z errorem.

Ale nie mogę załadować certyfikatu
"You can only open this callsign certificate by running TQSL on the computer where you created the certificate request for SP9TL."
pomimo to, że na tym właśnie komputerze wnioskowałem o certyfikat, to było ze 3 dni temu. Na tym samym w dodatku systemie/distr.
No ale OK, z tym sobie jakoś poradzę.

_________________
Yaesu FT-7900, Yaesu VX-6, AnyTone AT-D868UV GPS, Hoxin MA-2000, HB9CV, LPDA
DMR ID: 2609142
http://www.qrz.com/db/SP9TL
https://www.fb.com/SP9TL
https://www.instagram.com/SP9TL
https://www.youtube.com/channel/UCRz3XqHz6G3VDR6i2yvbuMg

Obrazek
  
SQ5KLN
17.11.2018 20:13:48
poziom 6



Grupa: Użytkownik

Posty: 1187 #2607868
Od: 2012-7-10


Ilość edycji wpisu: 2
    SP9TL pisze:

    Ooo, tam jest wesoły

    Szukałem w aplikacjach, czyli standardowo jak powinno być?
    Uruchamiam go przez kliknięcie, ale pojawia się okno dialogowe z błędem "Can't find the tqslappp catalog for locale 'en_GB' "

    No OK, aplikacja się uruchomiła pomimo tego okna z errorem.

    Ale nie mogę załadować certyfikatu
    "You can only open this callsign certificate by running TQSL on the computer where you created the certificate request for SP9TL."
    pomimo to, że na tym właśnie komputerze wnioskowałem o certyfikat, to było ze 3 dni temu. Na tym samym w dodatku systemie/distr.
    No ale OK, z tym sobie jakoś poradzę.


Nie myl aplikacji z jakąś tam ikonką w jakimś menu - to dwie różne sprawy (wiele programów jakie są w systemie nie są wyprowadzone do "ikonek" w menu, to normalne, zarówno pod Windowsem jak i pod Linuxem bardzo szczęśliwy).

Uruchamiaj tqsl-a w terminalu (polecenie tqsl) a nie poprzez klikanie na ikonkę w jakimś eksploratorze. GUI to "źródło wszelkiego zła" (zarówno pod Windowsem jak i Linuxem), bo przyczynia się do nierozumienia funkcjonowania systemu bardzo szczęśliwy

Co do "nie mogę załadować certyfikatu" - pisałem wcześniej, zrób BACKUP ustawień ze starego tqsl-a i ten backup wczytaj pod nowym tqsl-em, wtedy przeniesie się wszystko co trzeba (sam certyfikat *.tq6 jaki przysłało ARRL to za mało, potrzebujesz pliku *.tbk), choć to nieco dziwne, że musisz coś przenosić, normalnie nowy tqsl (uruchamiany z wiersza poleceń) powinien wczytać ustawienia starego sam (w porywach może krzyknąć, że nie ma pakietu polonicującego /bo na razie nikt nie napisał bardzo szczęśliwy/ i uruchomi się w wersji angielskojęzycznej).
_________________
Piotr
  
SP9TL
17.11.2018 20:18:51
poziom 4



Grupa: Użytkownik

QTH: JO90LF / Katowice

Posty: 385 #2607870
Od: 2014-2-22


Ilość edycji wpisu: 1
Dla wygody już zrobiłem sobie na pasku skrót (launcher) wesoły

Panowie, dziękuję za pomoc wesoły

_________________
Yaesu FT-7900, Yaesu VX-6, AnyTone AT-D868UV GPS, Hoxin MA-2000, HB9CV, LPDA
DMR ID: 2609142
http://www.qrz.com/db/SP9TL
https://www.fb.com/SP9TL
https://www.instagram.com/SP9TL
https://www.youtube.com/channel/UCRz3XqHz6G3VDR6i2yvbuMg

Obrazek
  
SQ5KLN
17.11.2018 20:27:15
poziom 6



Grupa: Użytkownik

Posty: 1187 #2607873
Od: 2012-7-10


Ilość edycji wpisu: 1
    SP9TL pisze:

    Dla wygody już zrobiłem sobie na pasku skrót (launcher) wesoły


Takie uruchamianie nie zawsze powoduje uruchomienie w pełnym środowisku (nie wszystkie zmienne się ustawią, nie wykona się ~/.bash_profile i ~/.bashrc itp.) oraz w razie czego nie będzie widać błędów czy innych informacji diagnostycznych jakie program ewentualnie wypisuje na konsoli bardzo szczęśliwy Serio, ikonka to żadna wygoda (programy z graficznym interfejsem nie miałyby skrótów klawiszowych gdyby myszka była szybszym interfejsem użytkownika bardzo szczęśliwy).
_________________
Piotr
  
SP9TL
17.11.2018 20:31:19
poziom 4



Grupa: Użytkownik

QTH: JO90LF / Katowice

Posty: 385 #2607874
Od: 2014-2-22
OK wesoły
A Alt+F2 może być? wesoły
_________________
Yaesu FT-7900, Yaesu VX-6, AnyTone AT-D868UV GPS, Hoxin MA-2000, HB9CV, LPDA
DMR ID: 2609142
http://www.qrz.com/db/SP9TL
https://www.fb.com/SP9TL
https://www.instagram.com/SP9TL
https://www.youtube.com/channel/UCRz3XqHz6G3VDR6i2yvbuMg

Obrazek
  
SQ5KLN
17.11.2018 21:12:21
poziom 6



Grupa: Użytkownik

Posty: 1187 #2607884
Od: 2012-7-10
    SP9TL pisze:

    OK wesoły
    A Alt+F2 może być? wesoły


Ja swoje już napisałem (chodzi o uruchamianie z shella - to naprawdę nie boli bardzo szczęśliwy).

W ramach dygresji: jeśli traktujesz Linixa jako "darmowego Windowsa" (stosujesz te same podejście, te same zasady pracy, te same intuicje itd. co pod Windowsem), to popełniasz jeden z podstawowych błędów i skazujesz się na bycie "wiecznym początkującym" bardzo szczęśliwy Niestety, nie każda łatwa droga prowadzi do celu i nie każdą drogę da się pokonać metodą wielu małych łatwych kroczków (strumienia nie da się "przeskoczyć na dwa razy" bardzo szczęśliwy).

https://www.youtube.com/watch?v=MoqxphFukTQ (od 14:45, bo pierwsze dwa punkty to wybór hardware i wybór dystrybucji - to już masz za sobą bardzo szczęśliwy).
_________________
Piotr
  
SP9TL
17.11.2018 21:25:06
poziom 4



Grupa: Użytkownik

QTH: JO90LF / Katowice

Posty: 385 #2607892
Od: 2014-2-22


Ilość edycji wpisu: 1
No nie boli nie boli wesoły
Wydawało mi się, że to jest to samo.
Działam na Linuxie od 8 lat jakoś, wcześniej był Mac OS X przez jakieś 3 lata, czyli odciąłem się od Windowsa już dawno temu. No ale to nie te czasy jak się było młodym, gdzie się bawiło systemami i można było się coś więcej nauczyć.
A filmik ciekawie się zapowiada, z chęcią zobaczę wesoły
_________________
Yaesu FT-7900, Yaesu VX-6, AnyTone AT-D868UV GPS, Hoxin MA-2000, HB9CV, LPDA
DMR ID: 2609142
http://www.qrz.com/db/SP9TL
https://www.fb.com/SP9TL
https://www.instagram.com/SP9TL
https://www.youtube.com/channel/UCRz3XqHz6G3VDR6i2yvbuMg

Obrazek
  
SQ5KLN
17.11.2018 21:44:49
poziom 6



Grupa: Użytkownik

Posty: 1187 #2607896
Od: 2012-7-10
    SP9TL pisze:

    Działam na Linuxie od 8 lat jakoś (...)


Jak ze wszystkim - sam czas nie jest bezpośrednio przeliczalny na umiejętności, można coś robić rutynowo przez całe życie i być... na tym samym poziomie co na początku. To jak z krótkofalarstwem, ktoś kto przez 50 lat robi cały czas takie same rutynowe, "zwyczajne" foniczne czy telegraficzne QSO na takim samym dipolu wiszącym na tym samym drzewie tak naprawdę technicznie rozwijał się tylko przez pierwszych kilka tygodni czy miesięcy a reszta to "spoczynek na laurach" (co nie znaczy że we wszystkim trzeba się rozwijać - czas nie jest z gumy, życie to sztuka wyboru, ucząc się rzeczy niepotrzebnych, marnujemy czas, który moglibyśmy przeznaczyć na naukę rzeczy potrzebnych bardzo szczęśliwy).
_________________
Piotr
  
Electra15.12.2018 16:31:17
poziom 5

oczka

Przejdz do góry strony<<<Strona: 2 / 3>>>    strony: 1[2]3

  << Pierwsza     < Poprzednia      Następna >     Ostatnia >>  

HOME » EMISJE CYFROWE » PROSZĘ KOLEGÓW O POMOC W UAKTUALNIENIU TQSL DO NAJNOWSZEJ WERSJI TQSL-2.3.1 UBUNTU

Aby pisac na forum musisz sie zalogować !!!

randki | własny sklep internetowy | promocje | CyberCiekawostki | darmowe forum | sklepy
opinie, testy, oceny | katalog stron | toplsta